(function($){
    'use strict';
    
    $(document).ready(function(){
        $(document).on("keydown", function(e){
            if(e.target.nodeName == "TEXTAREA"){
                return true;
            }
            if(e.keyCode == 13){
                return false;
            }
        });

        $.fn.aysModal = function(action){
            let $this = $(this);
            switch(action){
                case 'hide':
                    $(this).find('.ays-modal-content').css('animation-name', 'zoomOut');
                    setTimeout(function(){
                        // $(document.body).removeClass('modal-open');
                        $(document).find('.ays-modal-backdrop').remove();
                        $this.hide();
                    }, 250);
                break;
                case 'show': 
                default:
                    $this.show();
                    $(this).find('.ays-modal-content').css('animation-name', 'zoomIn');
                    $(document).find('.modal-backdrop').remove();
                    $(document.body).append('<div class="ays-modal-backdrop"></div>');
                    // $(document.body).addClass('modal-open');
                break;
            }
        }

        var count = $(document).find('.ays-border').length;
        for (let index = 0; index < count; index++) {
            var withEditor = $(document).find('#collapse_'+index).find('.ays-faq-open-question-editor-flag').val();
            switch (withEditor) {
                case 'on':
                    var faqTextareAns = $(document).find('#ays-faq-answer-'+index).val();

                    $(document).find('#ays-faq-answer-'+index).parent().addClass('display_none');
                    $(document).find('#ays-faq-answer-'+index).parents('.ays-faq-answer-textarea').find('.ays-faq-question-preview-box').removeClass('display_none');

                    $(document).find('#ays-faq-answer-'+index).parents('.ays-faq-answer-textarea').find('.ays-faq-question-preview-box').html(faqTextareAns);
                    break;
                case 'off':
                default:
                    $(document).find('#ays-faq-answer-'+index).parent().removeClass('display_none');
                    $(document).find('#ays-faq-answer-'+index).parents('.ays-faq-answer-textarea').find('.ays-faq-question-preview-box').addClass('display_none');
                break;
            }
        }


        $('.add-faq-question').on('click', function(e){
            e.preventDefault();
            let count = $(document).find('.ays-border').length;
            $(".ays-block.collapse").removeAttr("class").attr("class","ays-block collapse");
            $(".ays-link").addClass("collapsed");
            let appendable = `
            <div class="ays-border">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-1">
                            <a class="ays-link ays-move" title="Move question">
                                <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                            </a>
                        </div>
                        <div class="col-sm-9" data-toggle="collapse" href="#collapse_${count}">
                            <label class='ays_faq_label ays-for-change'>New question</label>
                        </div>
                        <div class="col-sm-1 ays-forcollaps"> 
                            <a class="ays-link" data-toggle="collapse" href="#collapse_${count}" title="Collapse question">
                            </a>
                        </div>
                        <div class="col-sm-1">
                            <a class="ays-link ays-delete-question" href="#" title="Delete question">
                                <i class="fa fa-trash fa-2x" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>

                <div id="collapse_${count}" class="ays-block collapse show">
                    <div class="card-body">
                        <div class="ays_modal_element form-group row">
                            <div class="col-sm-2">
                                <label class='ays_faq_label ' for='ays-faq-quest-${count}'>Question</label>
                            </div>
                            <div class="col-sm-10">
                                <input type="text" class="ays-text-input form-control" id='ays-faq-quest-${count}' name='ays_faq_question[]' value=""/>
                            </div>
                        </div>
                        <div class="ays_modal_element form-group row ays_faq_ans_textarea_div">
                            <div class="col-sm-2">
                                <label class='ays_faq_label' for='ays-faq-answer-${count}'>Answer</label>
                            </div>
                            <div class="col-sm-10 ays-faq-answer-textarea">
                                <div class="ays-faq-classic-textarea">
                                    <textarea class="form-control" name='ays_faq_answer[]' id='ays-faq-answer-${count}' value=""></textarea>
                                </div>
                                <div class="ays-faq-question-preview-box display_none"></div>
                                <div class="ays_modal_element ays-faq-wp-editor-modal">
                                    <a type="button" class="button button-primary" href="#" data-count='${count}'>Open WP Editor </a>
                                    <input type="hidden" class="ays-faq-open-question-editor-flag" name="ays_faq_question_open_editor[${count}]" value="off">
                                </div>
                            </div>
                        </div>       
                    </div>
                </div>
            </div>`;
            let main = $(document).find('#main');
            main.append(appendable);
        });
        
        $(document).on('click', ".ays-delete-question", function(e){
            var confirm = window.confirm( "Are you sure you want to delete the question?" );
            if(confirm == true){
                e.preventDefault();
                $(this).parents(".ays-border").remove();
            }
        });
        
        $(document).on('mousedown', ".ays-link.ays-move", function(e){
            $(".ays-block.collapse").removeAttr("class").attr("class","ays-block collapse");
            $(".ays-link").addClass("collapsed");
        });

        $("#main").sortable({
            handle: '.ays-move-questions',
			axis: 'y',
			opacity: 0.8,
            cursor: 'move'
        });
        
        $(document).on("input", ".ays-text-input", function(){
            $(this).parents(".ays-border").find('.ays-for-change').text($(this).val());
        });

        $('[data-toggle="tooltip"]').tooltip();

        $(document).find('.nav-tab-wrapper a.nav-tab').on('click', function(e){
            e.preventDefault();
            let elemenetID = $(this).attr('href');
            let active_tab = $(this).attr('data-tab');
            $(document).find('.nav-tab-wrapper a.nav-tab').each(function(){
            if( $(this).hasClass('nav-tab-active') ){
                $(this).removeClass('nav-tab-active');
            }
            });
            $(this).addClass('nav-tab-active');

            $(document).find('.ays-faq-tab-content').each(function(){
                if( $(this).hasClass('ays-faq-tab-content-active') )
                    $(this).removeClass('ays-faq-tab-content-active');
            });
            $(document).find("#"+active_tab).addClass('ays-faq-tab-content-active');
            $(document).find("[name='ays_faq_tab']").val(active_tab);
        });

        $(document).on('click', ".ays-add-user-question", function(e) {
            $(this).addClass("ays-delete-question");
            $(this).removeClass("ays-add-user-question");        
            $(this).children().removeClass("fas fa-plus");
            $(this).children().addClass("fa fa-trash fa-2x");    
            $(this).parents(".ays-border").find(".card-body input.ays-text-input").attr("name", "ays_faq_question[]");     
            $(this).parents(".ays-border").find(".card-body textarea.form-control").attr("name", "ays_faq_answer[]");
            $(this).parents(".ays-border").find(".user_quest").val("false");
        });

        // Code Mirror
        setTimeout(function(){
        if($(document).find('#ays_custom_css').length > 0){
            let CodeEditor = null;
            if(wp.codeEditor){
                CodeEditor = wp.codeEditor.initialize($(document).find('#ays_custom_css'), cm_settings);
            }
            if(CodeEditor !== null){
                CodeEditor.codemirror.on('change', function(e, ev){
                    $(CodeEditor.codemirror.display.input.div).find('.CodeMirror-linenumber').remove();
                    $(document).find('#ays_custom_css').val(CodeEditor.codemirror.display.input.div.innerText);
                        
                });
            }
        

        }
        }, 500);
       
        $(document).find('a[href="#tab2"]').on('click', function (e) {        
            setTimeout(function(){
                if($(document).find('#ays_custom_css').length > 0){
                    var ays_custom_css = $(document).find('#ays_custom_css').html();
                    if(wp.codeEditor){
                        $(document).find('#ays_custom_css').next('.CodeMirror').remove();
                        var CodeEditor = wp.codeEditor.initialize($(document).find('#ays_custom_css'), cm_settings);

                        CodeEditor.codemirror.on('change', function(e, ev){
                            $(CodeEditor.codemirror.display.input.div).find('.CodeMirror-linenumber').remove();
                            $(document).find('#ays_custom_css').val(CodeEditor.codemirror.display.input.div.innerText);
                        });
                        ays_custom_css = CodeEditor.codemirror.getValue();
                        $(document).find('#ays_custom_css').html(ays_custom_css);
                    }
                }
            }, 500);
           
        });

        //themes defoult

        $(document).find('.ays_modal_element .ays_theme img').on('click', function (e) {
            var themeTipe = e.target.parentElement.getAttribute("for");
            var plusminusOptionsVal = {
                bgColor: "#f0f0f0",
                bgColorQuest: "#ffffff",
                bgColorAnsw: "#DFDDDD",
                titleBgColor: "#db8e87",
                textcolor: "#000000",
                questtextColor: "#000000",
                answertextColor: "#000000",
                collapseIconDir: "left",
                collapseIcon: "#icons-2",
                hoverActiveTextColor: "#000000",
                hoverActiveBgColor: "#ffffff",
            }
            var defaultOptionsVal = {
                bgColor: "#f0f0f0",
                bgColorQuest: "#DFDDDD",
                bgColorAnsw: "#DFDDDD",
                titleBgColor: "#f9f9f9",
                textcolor: "#000000",
                questtextColor: "#000000",
                answertextColor: "#000000",
                collapseIconDir: "right",
                collapseIcon: "#icons-6",
                hoverActiveTextColor: "#000000",
                hoverActiveBgColor: "#dfdddd",
            }
            var simpleOptionsVal = {
                bgColor: "#ffffff",
                bgColorQuest: "#ffffff",
                bgColorAnsw: "#ffffff",
                titleBgColor: "#ffffff",
                textcolor: "#32373c",
                questtextColor: "#039ae2",
                answertextColor: "#32373c",
                collapseIconDir: "right",
                collapseIcon: "#icons-1",
                hoverActiveTextColor: "#039ae2",
                hoverActiveBgColor: "#ffffff",
            }
            
            let bgColor,
                bgColorQuest,
                bgColorAnsw,
                titleBgColor,
                textColor,
                questtextColor,
                answertextColor,
                hoverActiveTextColor,
                hoverActiveBgColor;
            
            if ( themeTipe == "plusminus" ) {
                $(document).find("input#bgColor").val(simpleOptionsVal.bgColor);
                $(document).find("input#bgColorQuest").val(simpleOptionsVal.bgColorQuest);
                $(document).find("input#bgColorAnsw").val(simpleOptionsVal.bgColorAnsw);
                $(document).find("input#titleBgColor").val(simpleOptionsVal.titleBgColor);
                $(document).find("input#textColor").val(simpleOptionsVal.textcolor);
                $(document).find("input#questtextColor").val(simpleOptionsVal.questtextColor);
                $(document).find("input#answertextColor").val(simpleOptionsVal.answertextColor);
                $(document).find("input#ays_faq_hover_active_text_color").val(simpleOptionsVal.hoverActiveTextColor);
                $(document).find("input#ays_faq_hover_active_bg_color").val(simpleOptionsVal.hoverActiveBgColor);
                $("#ays_"+plusminusOptionsVal.collapseIconDir).attr( 'checked', true );
                $(".collapseIcon "+plusminusOptionsVal.collapseIcon).attr( 'checked', true );
                bgColor = plusminusOptionsVal.bgColor;
                bgColorQuest = plusminusOptionsVal.bgColorQuest;
                bgColorAnsw = plusminusOptionsVal.bgColorAnsw;
                titleBgColor = plusminusOptionsVal.titleBgColor;
                textColor = plusminusOptionsVal.textcolor;
                questtextColor = plusminusOptionsVal.questtextColor;
                answertextColor = plusminusOptionsVal.answertextColor;       
                hoverActiveTextColor = plusminusOptionsVal.hoverActiveTextColor;
                hoverActiveBgColor = plusminusOptionsVal.hoverActiveBgColor;       
            } else if ( themeTipe == "default_arrow") {
                $(document).find("input#bgColor").val(simpleOptionsVal.bgColor);
                $(document).find("input#bgColorQuest").val(simpleOptionsVal.bgColorQuest);
                $(document).find("input#bgColorAnsw").val(simpleOptionsVal.bgColorAnsw);
                $(document).find("input#titleBgColor").val(simpleOptionsVal.titleBgColor);
                $(document).find("input#textColor").val(simpleOptionsVal.textcolor);
                $(document).find("input#questtextColor").val(simpleOptionsVal.questtextColor);
                $(document).find("input#answertextColor").val(simpleOptionsVal.answertextColor);
                $(document).find("input#ays_faq_hover_active_text_color").val(simpleOptionsVal.hoverActiveTextColor);
                $(document).find("input#ays_faq_hover_active_bg_color").val(simpleOptionsVal.hoverActiveBgColor);
                $("#ays_"+defaultOptionsVal.collapseIconDir).attr( 'checked', true );
                $(".collapseIcon "+defaultOptionsVal.collapseIcon).attr( 'checked', true );
                bgColor = defaultOptionsVal.bgColor;
                bgColorQuest = defaultOptionsVal.bgColorQuest;
                bgColorAnsw = defaultOptionsVal.bgColorAnsw;
                titleBgColor = defaultOptionsVal.titleBgColor;
                textColor = defaultOptionsVal.textcolor;
                questtextColor = defaultOptionsVal.questtextColor;
                answertextColor = defaultOptionsVal.answertextColor;       
                hoverActiveTextColor = defaultOptionsVal.hoverActiveTextColor;
                hoverActiveBgColor = defaultOptionsVal.hoverActiveBgColor;       
            } else if ( themeTipe == "simple") {
                $(document).find("input#bgColor").val(simpleOptionsVal.bgColor);
                $(document).find("input#bgColorQuest").val(simpleOptionsVal.bgColorQuest);
                $(document).find("input#bgColorAnsw").val(simpleOptionsVal.bgColorAnsw);
                $(document).find("input#titleBgColor").val(simpleOptionsVal.titleBgColor);
                $(document).find("input#textColor").val(simpleOptionsVal.textcolor);
                $(document).find("input#questtextColor").val(simpleOptionsVal.questtextColor);
                $(document).find("input#answertextColor").val(simpleOptionsVal.answertextColor);
                $(document).find("input#ays_faq_hover_active_text_color").val(simpleOptionsVal.hoverActiveTextColor);
                $(document).find("input#ays_faq_hover_active_bg_color").val(simpleOptionsVal.hoverActiveBgColor);
                $(document).find("#ays_"+simpleOptionsVal.collapseIconDir).attr( 'checked', true );
                $(document).find(".collapseIcon "+simpleOptionsVal.collapseIcon).attr( 'checked', true );
                bgColor = simpleOptionsVal.bgColor;
                bgColorQuest = simpleOptionsVal.bgColorQuest;
                bgColorAnsw = simpleOptionsVal.bgColorAnsw;
                titleBgColor = simpleOptionsVal.titleBgColor;
                textColor = simpleOptionsVal.textcolor;
                questtextColor = simpleOptionsVal.questtextColor;
                answertextColor = simpleOptionsVal.answertextColor;       
                hoverActiveTextColor = simpleOptionsVal.hoverActiveTextColor;
                hoverActiveBgColor = simpleOptionsVal.hoverActiveBgColor;       
            }
             $(document).find("#bgColor").wpColorPicker('color',bgColor);
             $(document).find("#bgColorQuest").wpColorPicker('color',bgColorQuest);
             $(document).find("#bgColorAnsw").wpColorPicker('color',bgColorAnsw);
             $(document).find("#titleBgColor").wpColorPicker('color',titleBgColor);
             $(document).find("#textColor").wpColorPicker('color',textColor);
             $(document).find("#questtextColor").wpColorPicker('color',questtextColor);
             $(document).find("#answertextColor").wpColorPicker('color',answertextColor);
             $(document).find("#ays_faq_hover_active_text_color").wpColorPicker('color',hoverActiveTextColor);
             $(document).find("#ays_faq_hover_active_bg_color").wpColorPicker('color',hoverActiveBgColor);
        });

        //open/close icon !none
        $(document).find('.ays_modal_element .ays_collapseIconDir input').on("change", function(){
            if( $("#ays_none").prop( 'checked' )) {
               $(".ays_collapseIcon").hide(250);
               $(this).parents('.ays_faq_collapseIconDir_parent').next().hide(250);
            } else {
                $(".ays_collapseIcon").show(250);
                $(this).parents('.ays_faq_collapseIconDir_parent').next().show(250);
            }
        });


        let ays_faq_bg_color_picker = {
            defaultColor: $("#bgColor").val(),
            change: function(event, ui){

            },
        };
        let ays_faq_border_color_picker = {
            defaultColor: $("#borderColor").val()
        };
        let ays_faq_hover_active_text_color_picker = {
            defaultColor: $("#ays_faq_hover_active_text_color").val()
        };
        let ays_faq_hover_active_bg_color = {
            defaultColor: $("#ays_faq_hover_active_bg_color").val()
        };
        let ays_faq_bg_quest_color_picker = {
            defaultColor: $("#bgColorQuest").val()
        };
        let ays_faq_bg_answ_color_picker = {
            defaultColor: $("#bgColorAnsw").val()
        };
        let ays_faq_title_bg_color_picker = {
            defaultColor: $("#titleBgColor").val()
        };
        let ays_faq_text_color_picker = {
            defaultColor: $("#textColor").val()
        };
        let ays_faq_quest_text_color_picker = {
            defaultColor: $("#questtextColor").val()
        };
        let ays_faq_answer_text_color_picker = {
            defaultColor: $("#answertextColor").val()
        };
        let ays_questions_border_color = {
            defaultColor: $("#ays_questions_border_color").val()
        };
        
        $(document).find('#bgColor').wpColorPicker(ays_faq_bg_color_picker);
        $(document).find('#borderColor').wpColorPicker(ays_faq_border_color_picker);
        $(document).find('#ays_faq_hover_active_text_color').wpColorPicker(ays_faq_hover_active_text_color_picker);
        $(document).find('#ays_faq_hover_active_bg_color').wpColorPicker(ays_faq_hover_active_bg_color);
        $(document).find('#bgColorQuest').wpColorPicker(ays_faq_bg_quest_color_picker);
        $(document).find('#bgColorAnsw').wpColorPicker(ays_faq_bg_answ_color_picker);
        $(document).find('#titleBgColor').wpColorPicker(ays_faq_title_bg_color_picker);
        $(document).find('#textColor').wpColorPicker(ays_faq_text_color_picker);
        $(document).find('#questtextColor').wpColorPicker(ays_faq_quest_text_color_picker);
        $(document).find('#answertextColor').wpColorPicker(ays_faq_answer_text_color_picker);
        $(document).find('#ays_questions_border_color').wpColorPicker(ays_questions_border_color);

        var $_this;
        $(document).on('click', '.ays-faq-wp-editor-modal a', function() {
            $_this = $(this);

            var answerText = $(this).parents('.card-body').find('.ays_faq_ans_textarea_div .ays-faq-answer-textarea textarea').val();
            $(document).find('#ays-faq-answer-modal').aysModal();

            if ($("#wp-ays_faq_answer_editor-wrap").hasClass("tmce-active")){
                tinyMCE.get('ays_faq_answer_editor').setContent(answerText);
            }else{
                $('#ays_faq_answer_editor').val(answerText);
            } 
        });

        

        $(document).on('click','.ays-close', function() {
            $(document).find('#ays-faq-answer-modal').aysModal('hide');
        });

        $(document).on('click','.ays_faq_save_answer',function() {
            var emptyQuestion = '';
            var editorPopup = $(document).find('#ays-faq-answer-modal');

            $_this.parents('.card-body').find('.ays-faq-open-question-editor-flag').val('on');

            if ($("#wp-ays_faq_answer_editor-wrap").hasClass("tmce-active")){
                emptyQuestion = tinyMCE.get('ays_faq_answer_editor').getContent();
            }else{
                emptyQuestion = $('#ays_faq_answer_editor').val();
            } 

            var action = 'FAQ_live_preivew_content';
            var data = {};

            data.action = action;
            data.content = emptyQuestion;

            $.ajax({
                url: faq_admin_ajax.ajax_url,
                method: 'post',
                dataType: 'json',
                data:data,
                success: function(response) {
                    if (response.status) {
                        $_this.parents('.card-body').find('.ays_faq_ans_textarea_div .ays-faq-answer-textarea textarea').val( response.content );

                        $_this.parents('.card-body').find('.ays-faq-question-preview-box').html( response.content );

                        $_this.parents('.card-body').find('.ays-faq-classic-textarea').addClass('display_none');
                        $_this.parents('.card-body').find('.ays-faq-question-preview-box').removeClass('display_none');
                        $_this.parents('.card-body').find('.ays-faq-open-question-editor-flag').val('on');

                        if ($("#wp-ays_faq_answer_editor-wrap").hasClass("tmce-active")){
                            emptyQuestion = tinyMCE.get('ays_faq_answer_editor').getContent();
                        }else{
                            emptyQuestion = $('#ays_faq_answer_editor').val();
                        }
            
                        editorPopup.aysModal('hide');
                    }
                }
            });
        });

        $(document).on('click', 'button.ays-faq-back-to-textarea', function(){
            var editorPopup = $(document).find('#ays-faq-answer-modal');
            var emptyQuestion = '';

            $_this.parents('.card-body').find('.ays-faq-classic-textarea').removeClass('display_none');
            $_this.parents('.card-body').find('.ays-faq-question-preview-box').addClass('display_none');
            
            if ($("#wp-ays_faq_answer_editor-wrap").hasClass("tmce-active")){
                emptyQuestion = tinyMCE.get('ays_faq_answer_editor').getContent();
            }else{
                emptyQuestion = $('#ays_faq_answer_editor').val();
            }

            $_this.parents('.card-body').find('.ays-faq-open-question-editor-flag').val('off');
            editorPopup.aysModal('hide');
        });

        var toggle_ddmenu = $(document).find('.toggle_ddmenu');
        toggle_ddmenu.on('click', function () {
            var ddmenu = $(this).next();
            var state = ddmenu.attr('data-expanded');
            switch (state) {
                case 'true':
                    $(this).find('.fa').css({
                        transform: 'rotate(0deg)'
                    });
                    ddmenu.attr('data-expanded', 'false');
                    break;  
                case 'false':
                    $(this).find('.fa').css({
                        transform: 'rotate(90deg)'
                    });
                    ddmenu.attr('data-expanded', 'true');
                    break;
            }
        });

        var subButtons = '.button#ays_submit_apply_top,.ays-submit';
        $(document).on('click', subButtons ,function () {     
            var $this = $(this);
            submitOnce($this);
        });

        function submitOnce(subButton){
            var subLoader = subButton.siblings(".display_none");
            subLoader.removeClass("display_none");
            subLoader.css("padding-left" , "8px");
            subLoader.css("display" , "inline-flex");
            setTimeout(function() {
                $(subButtons).attr('disabled', true);
            }, 50);
            setTimeout(function() {
                $(subButtons).attr('disabled', false);
                subLoader.addClass("display_none");
            }, 5000);
        }


    });

    $(document).find('strong.ays-faq-shortcode-box').on('mouseleave', function(){
        var _this = $(this);

        _this.attr( 'data-original-title', faqLangObj.clickForCopy );
    }); 

    $(document).on('change', '.ays_toggle', function (e) {
        var state = $(this).prop('checked');
        if ($(this).hasClass('ays_toggle_slide')) {
            switch (state) {
                case true:
                    $(this).parent().find('.ays_toggle_target').slideDown(250);
                    break;
                case false:
                    $(this).parent().find('.ays_toggle_target').slideUp(250);
                    break;
            }
        } else {
            switch (state) {
                case true:
                    $(this).parent().find('.ays_toggle_target').show(250);
                    break;
                case false:
                    $(this).parent().find('.ays_toggle_target').hide(250);
                    break;
            }
        }
    });

    $(document).on('change', '.ays_toggle_checkbox', function (e) {
        var state = $(this).prop('checked');
        var parent = $(this).parents('.ays_toggle_parent');
        
        if($(this).hasClass('ays_toggle_slide')){
            switch (state) {
                case true:
                    parent.find('.ays_toggle_target').slideDown(250);
                    break;
                case false:
                    parent.find('.ays_toggle_target').slideUp(250);
                    break;
            }
        }else{
            switch (state) {
                case true:
                    parent.find('.ays_toggle_target').show(250);
                    break;
                case false:
                    parent.find('.ays_toggle_target').hide(250);
                    break;
            }
        }
    });

    $(document).keydown(function(event) {
        var editButton = $(document).find("input#ays_submit_apply_top,input#ays_submit_apply");
        if (!(event.which == 83 && event.ctrlKey) && !(event.which == 19)){
            return true;  
        }
        editButton.trigger("click");
        event.preventDefault();
        return false;
    });

     $(document).on('click', '.ays-next-faq-button', function(e){
            e.preventDefault();
            var message = $(this).data('message');
            var confirm = window.confirm( message );
            if(confirm === true){
                window.location.replace($(this).attr('href'));
            }
        });

}) (jQuery);

function selectElementContents(el) {
    if (window.getSelection && document.createRange) {
        var _this = jQuery(document).find('strong.ays-faq-shortcode-box');

        var text      = el.textContent;
        var textField = document.createElement('textarea');

        textField.innerText = text;
        document.body.appendChild(textField);
        textField.select();
        document.execCommand('copy');
        textField.remove();

        var selection = window.getSelection();
        selection.setBaseAndExtent(el,0,el,1);

        _this.attr( "data-original-title", faqLangObj.copied );
        _this.attr( "title", faqLangObj.copied );

        _this.tooltip("show");

    } else if (document.selection && document.body.createTextRange) {
        var textRange = document.body.createTextRange();
        textRange.moveToElementText(el);
        textRange.select();
    }
}
