<?php
    $faq_page_url = sprintf('?page=%s', 'faq-builder-ays');
    $add_new_url = sprintf('?page=%s&action=%s', 'faq-builder-ays', 'add');
?>

<div class="wrap">
    <h1 class="ays-faq-wrapper ays_heart_beat">
        <?php echo __(esc_html(get_admin_page_title()),$this->plugin_name); ?> <i class="fa fa_heart_o animated"></i>
    </h1>
    <div class="ays-faq-faq-main">
        <h2>
            <?php 
                echo sprintf( 
                    __( "How to create a simple F.A.Q in 3 steps with the help of the %s F.A.Q. Builder %s plugin.", $this->plugin_name ),
                    '<strong>',
                    '</strong>',
                ); 
            ?>  
        </h2>
        <fieldset>
            <div class="ays-faq-ol-container">
                <ol>
                    <li>
                        <?php 
                            echo sprintf( 
                                __( "Go to the %s F.A.Q. Builder %s page and build your first F.A.Q. by clicking on the %s Add New %s", $this->plugin_name ),
                                '<a href="'. $faq_page_url .'" target="_blank">',
                                '</a>',
                                '<a href="'. $add_new_url .'" target="_blank">',
                                '</a>'
                            ); 
                        ?>
                    </li>
                    <li>
                        <?php echo __( "Fill out the information by adding a title, questions and so on.", $this->plugin_name ); ?>
                    </li>
                    <li>
                        <?php 
                            echo sprintf( 
                                __( "Copy the %s shortcode %s of the F.A.Q. and paste it into any post.", $this->plugin_name ),
                                '<strong>',
                                '</strong>',
                            ); 
                        ?> 
                    </li>
                </ol>
            </div>
            <div class="ays-faq-p-container">
                <p><?php echo __("Congrats! You have already created your first F.A.Q." , $this->plugin_name); ?></p>
            </div>
        </fieldset>
    </div>  
    <br>
    <div class="ays-faq-community-wrap">
        <div class="ays-faq-community-title">
            <h4><?php echo __( "Community", $this->plugin_name ); ?></h4>
        </div>
        <div class="ays-faq-community-container">
            <div class="ays-faq-community-item">
                <div>
                    <a href="https://www.youtube.com/channel/UC-1vioc90xaKjE7stq30wmA" target="_blank" class="ays-faq-community-item-cover">
                        <i class="ays-faq-community-item-img fa ays_fa_youtube_play"></i>
                    </a>
                </div>
                <h3 class="ays-faq-community-item-title"><?php echo __( "YouTube community", $this->plugin_name ); ?></h3>
                <p class="ays-faq-community-item-desc"><?php echo __("Our YouTube community  guides you to step by step tutorials about our products and not only...", $this->plugin_name); ?></p>
                <div class="ays-faq-community-item-footer">
                    <a href="https://www.youtube.com/channel/UC-1vioc90xaKjE7stq30wmA" target="_blank" class="button"><?php echo __( "Subscribe", $this->plugin_name ); ?></a>
                </div>
            </div>
            <div class="ays-faq-community-item">
                <a href="https://wordpress.org/support/plugin/faq-builder-ays/" target="_blank" class="ays-faq-community-item-cover" style="color: #0073aa;">
                    <i class="ays-faq-community-item-img fa ays_fa_wordpress"></i>
                </a>
                <h3 class="ays-faq-community-item-title"><?php echo __( "Best Free Support", $this->plugin_name ); ?></h3>
                <p class="ays-faq-community-item-desc"><?php echo __( "With the Free version, you get a lifetime usage for the plugin, however, you will get new updates and support for only 1 month.", $this->plugin_name ); ?></p>
                <div class="ays-faq-community-item-footer">
                    <a href="https://wordpress.org/support/plugin/faq-builder-ays/" target="_blank" class="button"><?php echo __( "Join", $this->plugin_name ); ?></a>
                </div>
            </div>
            <div class="ays-faq-community-item">
                <a href="https://ays-pro.com/contact" target="_blank" class="ays-faq-community-item-cover" style="color: #ff0000;">
                    <i class="ays-faq-community-item-img fa ays_fa_users" aria-hidden="true"></i>
                </a>
                <h3 class="ays-faq-community-item-title"><?php echo __( "Premium support", $this->plugin_name ); ?></h3>
                <p class="ays-faq-community-item-desc"><?php echo __( "Get 12 months updates and support for the Business package and lifetime updates and support for the Developer package.", $this->plugin_name ); ?></p>
                <div class="ays-faq-community-item-footer">
                    <a href="https://ays-pro.com/contact" target="_blank" class="button"><?php echo __( "Contact", $this->plugin_name ); ?></a>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    var acc = document.getElementsByClassName("ays-faq-asked-question__header");
    var i;
    for (i = 0; i < acc.length; i++) {
      acc[i].addEventListener("click", function() {
        
        var panel = this.nextElementSibling;
        
        
        if (panel.style.maxHeight) {
          panel.style.maxHeight = null;
          this.children[1].children[0].style.transform="rotate(0deg)";
        } else {
          panel.style.maxHeight = panel.scrollHeight + "px";
          this.children[1].children[0].style.transform="rotate(180deg)";
        } 
      });
    }
</script>
