<?php 
    $actions = $this->settings_obj;
    if( isset( $_POST['ays-submit'] ) ){
        $actions->store_data();
    }

    $loader_image = "<span class='display_none'><img width='20' height='20' src=".AYS_FAQ_ADMIN_URL."/images/loaders/loading.gif></span>";

    $options = ($actions->ays_get_setting('options') === false) ? array() : json_decode( stripcslashes( $actions->ays_get_setting('options') ), true);

    $faq_title_length = (isset($options['faq_title_length']) && intval($options['faq_title_length']) != 0) ? absint(intval($options['faq_title_length'])) : 5;

    // WP Editor height
    $faq_wp_editor_height = (isset($options['faq_wp_editor_height']) && $options['faq_wp_editor_height'] != '' && $options['faq_wp_editor_height'] != 0) ? absint( sanitize_text_field($options['faq_wp_editor_height']) ) : 100;
?>

<div class="wrap" style="position:relative;">
    <div class="ays-faq-heading-box">
        <div class="ays-faq-wordpress-user-manual-box">
            <a href="https://ays-pro.com/wordpress-faq-builder-plugin-user-manual" target="_blank"><?php echo __("View Documentation", $this->plugin_name); ?></a>
        </div>
    </div>
    <div class="container-fluid">
        <form method="post" class="ays-faq-general-settings-form" id="ays-faq-general-settings-form">
            <h1 class="wp-heading-inline">
            <?php
                echo __('General Settings',$this->plugin_name);
            ?>
            </h1>
            <hr/>
            <div class="form-group ays-settings-wrapper">
                <div>
                    <div class="nav-tab-wrapper" style="position:sticky; top:35px;">
                        <a href="#tab1" data-tab="tab1" class="nav-tab">
                            <?php echo __("General", $this->plugin_name);?>
                        </a>
                    </div>
                </div>
                <div class="ays-faq-tab-wrapper">
                    <div id="tab1" class="ays-quiz-tab-content">
                        <p class="ays-subtitle"><?php echo __('General Settings',$this->plugin_name)?></p>
                        <fieldset>
                            <legend>
                                <strong style="font-size:30px;"><i class="fa fa-align-left" aria-hidden="true"></i></strong>
                                <h5><?php echo __('Excerpt words count in list tables',$this->plugin_name)?></h5>
                            </legend>
                            <div class="ays_modal_element form-group row">
                                <div class="col-sm-4">
                                    <label class='ays_faq_label' for="ays_faq_title_length">
                                        <?php echo __( "F.A.Q list table", $this->plugin_name ); ?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __('Determine the length of the faq\'s to be shown in the F.A.Q List Table by putting your preferred count of words in the following field. (For example: if you put 10,  you will see the first 10 words of each quiz in the F.A.Q Builder page of your dashboard.', $this->plugin_name); ?>">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="number" name="ays_faq_title_length" id="ays_faq_title_length" class="ays-text-input form-control" value="<?php echo $faq_title_length; ?>">
                                </div>
                            </div>
                        </fieldset>
                        <fieldset>
                            <legend>
                                <strong style="font-size:30px;"><i class="fa fa-question-circle"></i></strong>
                                <h5><?php echo __('Default parameters for F.A.Q.',$this->plugin_name)?></h5>
                            </legend>
                            <div class="ays_modal_element form-group row">
                                <div class="col-sm-4">
                                    <label for="ays_faq_wp_editor_height">
                                        <?php echo __( "WP Editor height", $this->plugin_name ); ?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __('Give the default value to the height of the WP Editor. It will apply to all WP Editors within the plugin on the dashboard.',$this->plugin_name); ?>">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="number" name="ays_faq_wp_editor_height" id="ays_faq_wp_editor_height" class="ays-text-input" value="<?php echo $faq_wp_editor_height; ?>">
                                </div>
                            </div>
                        </fieldset>
                    </div>
                </div>
            </div>
            <hr>
            <div style="position:sticky;padding:15px 0px;bottom:0;">
                <?php
                    wp_nonce_field('settings_action', 'settings_action');
                ?>
                <div class="ays_submit_button" style="margin:10px 0;">
                    <input type="submit" name="ays-submit" class="ays-submit button-primary" id="ays_submit_apply" value="<?php echo __("Save", $this->plugin_name);?>" />
                    <?php echo $loader_image; ?>
                </div>
            </div>
        </form>
    </div>
</div>